import 'package:flutter/material.dart';
import 'package:test_sa/extensions/int_extensions.dart';
import 'package:test_sa/extensions/widget_extensions.dart';
import 'package:test_sa/views/widgets/images/files_list.dart';

class AssetDocumentHistoryView extends StatelessWidget {
  const AssetDocumentHistoryView({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    final List<String> dummyDocuments = [
      'https://picsum.photos/200/300?random=1',
      'https://picsum.photos/200/300?random=2',
      'https://picsum.photos/200/300?random=3',
      'https://picsum.photos/200/300?random=4',
      'https://picsum.photos/200/300?random=5',
    ];

    return SingleChildScrollView(
      padding: const EdgeInsets.symmetric(horizontal: 16),
      child: FilesList(
        showAsListView: true,
        showDownloadButton: true,
        images: dummyDocuments,
        separator: const Divider().defaultStyle(context),
      ).toShadowContainer(context),
    );
  }
}
